package com.pfc.app.nbff;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.json.JSONTokener;

import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.util.Log;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class ActividadMensajesEnviados extends ListActivity{
	
	static String[] OPCIONES;
	private String usuario = new String();
	static String mensajes [][];
	static int numMensajes;
	public final static int numMensajesMaximo = 60;
	public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //Le damos una vista que mostrar al programa
        setContentView(R.layout.layout_lista);
        setTitle(R.string.tituloMensajesEnviados);
        usuario = getIntent().getStringExtra("idUser");
        
        
        Log.i("ArrayList", "el usuario es: " + usuario);
        	
        mensajes = mensajesEnviados(usuario);
        Log.i("ArrayList", "el tamaño es: " + mensajes.length);
        OPCIONES = new String [numMensajes];
        Log.i("ArrayList", "Entramos en el bucle teniendo que obtener: " + numMensajes + " mensajes");
        if (mensajes[0][0].equals("-1")){
        	AlertDialog.Builder constructorNoMensajesRecibidosAdv = new AlertDialog.Builder(ActividadMensajesEnviados.this);
			constructorNoMensajesRecibidosAdv.setCancelable(true);
			TextView textoNoAdv = new TextView(ActividadMensajesEnviados.this);
			textoNoAdv.setText(R.string.noHayMensajes);
			textoNoAdv.setGravity(Gravity.CENTER);
			constructorNoMensajesRecibidosAdv.setView(textoNoAdv);
			constructorNoMensajesRecibidosAdv.setPositiveButton(R.string.aceptar, new OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					finish();
					dialog.dismiss();	
				}
			});
			constructorNoMensajesRecibidosAdv.create().show();
        }else{
	        for (int i=0; i < numMensajes ; i++){
	        	
	        	String nombre = mensajes[i][2];
	        	if(nombre!=null && i<numMensajesMaximo){
	        		OPCIONES[i]="Mensaje para: " + nombre;
	        		Log.i("ArrayList", "el array opciones: " + OPCIONES[i] + "cont: " + i);
	        		
	        	}
	        }
	        
	        Log.i("ArrayList", "Salimos del bucle con: " + numMensajes + " mensajes");
	        if ( numMensajes > 60){
	        	
				AlertDialog.Builder constructorNoMensajesEnviadosAdv = new AlertDialog.Builder(ActividadMensajesEnviados.this);
				constructorNoMensajesEnviadosAdv.setCancelable(true);
				TextView textoNoAdv = new TextView(ActividadMensajesEnviados.this);
				textoNoAdv.setText(R.string.excesoMensajes);
				textoNoAdv.setGravity(Gravity.CENTER);
				constructorNoMensajesEnviadosAdv.setView(textoNoAdv);
				constructorNoMensajesEnviadosAdv.setPositiveButton(R.string.aceptar, new OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						dialog.dismiss();	
					}
				});
	        	constructorNoMensajesEnviadosAdv.create().show();
	        }
				
	        setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1,OPCIONES) );
        }   
	}
	
protected void onListItemClick(ListView l, View v, int position, long id){
		
		super.onListItemClick(l, v, position, id);
		
		int i = (int) id;
		Log.i("Estamos!", "número de opciones: " + i);
		
		
			
		
		
		switch (i) {
		
			case 0:
				if (0 < numMensajes){
					AlertDialog dialogo0;
					AlertDialog.Builder constructorMensajesEnviados0 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados0.setCancelable(true);
					TextView texto0 = new TextView(ActividadMensajesEnviados.this);
					texto0.setText(mensajes[i][3]);
					texto0.setGravity(Gravity.CENTER);
					constructorMensajesEnviados0.setView(texto0);	
					constructorMensajesEnviados0.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados0.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo0 = constructorMensajesEnviados0.create();
					dialogo0.show();
				}
				break;
			case 1:
				if (1 < numMensajes){
					AlertDialog dialogo1;
					AlertDialog.Builder constructorMensajesEnviados1 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados1.setCancelable(true);
					TextView texto1 = new TextView(ActividadMensajesEnviados.this);
					texto1.setText(mensajes[i][3]);
					texto1.setGravity(Gravity.CENTER);
					constructorMensajesEnviados1.setView(texto1);	
					constructorMensajesEnviados1.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados1.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo1 = constructorMensajesEnviados1.create();
					dialogo1.show();
				}
				break;
			case 2:
				if (2 < numMensajes){
					AlertDialog dialogo2;
					AlertDialog.Builder constructorMensajesEnviados2 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados2.setCancelable(true);
					TextView texto2 = new TextView(ActividadMensajesEnviados.this);
					texto2.setText(mensajes[i][3]);
					texto2.setGravity(Gravity.CENTER);
					constructorMensajesEnviados2.setView(texto2);	
					constructorMensajesEnviados2.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados2.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo2 = constructorMensajesEnviados2.create();
					dialogo2.show();
				}
				break;
			case 3:
				if (3 < numMensajes){
					AlertDialog dialogo3;
					AlertDialog.Builder constructorMensajesEnviados3 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados3.setCancelable(true);
					TextView texto3 = new TextView(ActividadMensajesEnviados.this);
					texto3.setText(mensajes[i][3]);
					texto3.setGravity(Gravity.CENTER);
					constructorMensajesEnviados3.setView(texto3);	
					constructorMensajesEnviados3.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados3.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo3 = constructorMensajesEnviados3.create();
					dialogo3.show();
				}
				break;
			case 4:
				if (4 < numMensajes){
					AlertDialog dialogo4;
					AlertDialog.Builder constructorMensajesEnviados4 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados4.setCancelable(true);
					TextView texto4 = new TextView(ActividadMensajesEnviados.this);
					texto4.setText(mensajes[i][3]);
					texto4.setGravity(Gravity.CENTER);
					constructorMensajesEnviados4.setView(texto4);	
					constructorMensajesEnviados4.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados4.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo4 = constructorMensajesEnviados4.create();
					dialogo4.show();
				}
				break;
			case 5:
				if (5 < numMensajes){
					AlertDialog dialogo5;
					AlertDialog.Builder constructorMensajesEnviados5 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados5.setCancelable(true);
					TextView texto5 = new TextView(ActividadMensajesEnviados.this);
					texto5.setText(mensajes[i][3]);
					texto5.setGravity(Gravity.CENTER);
					constructorMensajesEnviados5.setView(texto5);	
					constructorMensajesEnviados5.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados5.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo5 = constructorMensajesEnviados5.create();
					dialogo5.show();
				}
				break;
			case 6:
				if (6 < numMensajes){
					AlertDialog dialogo6;
					AlertDialog.Builder constructorMensajesEnviados6 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados6.setCancelable(true);
					TextView texto6 = new TextView(ActividadMensajesEnviados.this);
					texto6.setText(mensajes[i][3]);
					texto6.setGravity(Gravity.CENTER);
					constructorMensajesEnviados6.setView(texto6);	
					constructorMensajesEnviados6.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados6.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo6 = constructorMensajesEnviados6.create();
					dialogo6.show();
				}
				break;
			case 7:
				if (7 < numMensajes){
					AlertDialog dialogo7;
					AlertDialog.Builder constructorMensajesEnviados7 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados7.setCancelable(true);
					TextView texto7 = new TextView(ActividadMensajesEnviados.this);
					texto7.setText(mensajes[i][3]);
					texto7.setGravity(Gravity.CENTER);
					constructorMensajesEnviados7.setView(texto7);	
					constructorMensajesEnviados7.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados7.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo7 = constructorMensajesEnviados7.create();
					dialogo7.show();
				}
				break;
			case 8:
				if (8 < numMensajes){
					AlertDialog dialogo8;
					AlertDialog.Builder constructorMensajesEnviados8 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados8.setCancelable(true);
					TextView texto8 = new TextView(ActividadMensajesEnviados.this);
					texto8.setText(mensajes[i][3]);
					texto8.setGravity(Gravity.CENTER);
					constructorMensajesEnviados8.setView(texto8);	
					constructorMensajesEnviados8.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados8.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo8 = constructorMensajesEnviados8.create();
					dialogo8.show();
				}
				break;
			case 9:
				if (9 < numMensajes){
					AlertDialog dialogo9;
					AlertDialog.Builder constructorMensajesEnviados9 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados9.setCancelable(true);
					TextView texto9 = new TextView(ActividadMensajesEnviados.this);
					texto9.setText(mensajes[i][3]);
					texto9.setGravity(Gravity.CENTER);
					constructorMensajesEnviados9.setView(texto9);	
					constructorMensajesEnviados9.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados9.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo9 = constructorMensajesEnviados9.create();
					dialogo9.show();
				}
				break;
			case 10:
				if (10 < numMensajes){
					AlertDialog dialogo10;
					AlertDialog.Builder constructorMensajesEnviados10 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados10.setCancelable(true);
					TextView texto10 = new TextView(ActividadMensajesEnviados.this);
					texto10.setText(mensajes[i][3]);
					texto10.setGravity(Gravity.CENTER);
					constructorMensajesEnviados10.setView(texto10);	
					constructorMensajesEnviados10.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados10.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo10 = constructorMensajesEnviados10.create();
					dialogo10.show();
				}
				break;
			case 11:
				if (11 < numMensajes){
					AlertDialog dialogo11;
					AlertDialog.Builder constructorMensajesEnviados11 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados11.setCancelable(true);
					TextView texto11 = new TextView(ActividadMensajesEnviados.this);
					texto11.setText(mensajes[i][3]);
					texto11.setGravity(Gravity.CENTER);
					constructorMensajesEnviados11.setView(texto11);	
					constructorMensajesEnviados11.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados11.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo11 = constructorMensajesEnviados11.create();
					dialogo11.show();
				}
				break;
			case 12:
				if (12 < numMensajes){
					AlertDialog dialogo12;
					AlertDialog.Builder constructorMensajesEnviados12 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados12.setCancelable(true);
					TextView texto12 = new TextView(ActividadMensajesEnviados.this);
					texto12.setText(mensajes[i][3]);
					texto12.setGravity(Gravity.CENTER);
					constructorMensajesEnviados12.setView(texto12);	
					constructorMensajesEnviados12.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados12.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo12 = constructorMensajesEnviados12.create();
					dialogo12.show();
				}
				break;
			case 13:
				if (13 < numMensajes){
					AlertDialog dialogo13;
					AlertDialog.Builder constructorMensajesEnviados13 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados13.setCancelable(true);
					TextView texto13 = new TextView(ActividadMensajesEnviados.this);
					texto13.setText(mensajes[i][3]);
					texto13.setGravity(Gravity.CENTER);
					constructorMensajesEnviados13.setView(texto13);	
					constructorMensajesEnviados13.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados13.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo13 = constructorMensajesEnviados13.create();
					dialogo13.show();
				}
				break;
			case 14:
				if (14 < numMensajes){
					AlertDialog dialogo14;
					AlertDialog.Builder constructorMensajesEnviados14 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados14.setCancelable(true);
					TextView texto14 = new TextView(ActividadMensajesEnviados.this);
					texto14.setText(mensajes[i][3]);
					texto14.setGravity(Gravity.CENTER);
					constructorMensajesEnviados14.setView(texto14);	
					constructorMensajesEnviados14.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados14.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo14 = constructorMensajesEnviados14.create();
					dialogo14.show();
				}
				break;
			case 15:
				if (15 < numMensajes){
					AlertDialog dialogo15;
					AlertDialog.Builder constructorMensajesEnviados15 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados15.setCancelable(true);
					TextView texto15 = new TextView(ActividadMensajesEnviados.this);
					texto15.setText(mensajes[i][3]);
					texto15.setGravity(Gravity.CENTER);
					constructorMensajesEnviados15.setView(texto15);	
					constructorMensajesEnviados15.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados15.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo15 = constructorMensajesEnviados15.create();
					dialogo15.show();
				}
				break;
			case 16:
				if (16 < numMensajes){
					AlertDialog dialogo16;
					AlertDialog.Builder constructorMensajesEnviados16 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados16.setCancelable(true);
					TextView texto16 = new TextView(ActividadMensajesEnviados.this);
					texto16.setText(mensajes[i][3]);
					texto16.setGravity(Gravity.CENTER);
					constructorMensajesEnviados16.setView(texto16);	
					constructorMensajesEnviados16.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados16.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo16 = constructorMensajesEnviados16.create();
					dialogo16.show();
				}
				break;
			case 17:
				if (17 < numMensajes){
					AlertDialog dialogo17;
					AlertDialog.Builder constructorMensajesEnviados17 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados17.setCancelable(true);
					TextView texto17 = new TextView(ActividadMensajesEnviados.this);
					texto17.setText(mensajes[i][3]);
					texto17.setGravity(Gravity.CENTER);
					constructorMensajesEnviados17.setView(texto17);	
					constructorMensajesEnviados17.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados17.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo17 = constructorMensajesEnviados17.create();
					dialogo17.show();
				}
				break;
			case 18:
				if (18 < numMensajes){
					AlertDialog dialogo18;
					AlertDialog.Builder constructorMensajesEnviados18 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados18.setCancelable(true);
					TextView texto18 = new TextView(ActividadMensajesEnviados.this);
					texto18.setText(mensajes[i][3]);
					texto18.setGravity(Gravity.CENTER);
					constructorMensajesEnviados18.setView(texto18);	
					constructorMensajesEnviados18.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados18.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo18 = constructorMensajesEnviados18.create();
					dialogo18.show();
				}
				break;
			case 19:
				if (19 < numMensajes){
					AlertDialog dialogo19;
					AlertDialog.Builder constructorMensajesEnviados19 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados19.setCancelable(true);
					TextView texto19 = new TextView(ActividadMensajesEnviados.this);
					texto19.setText(mensajes[i][3]);
					texto19.setGravity(Gravity.CENTER);
					constructorMensajesEnviados19.setView(texto19);	
					constructorMensajesEnviados19.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados19.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo19 = constructorMensajesEnviados19.create();
					dialogo19.show();
				}
				break;
			case 20:
				if (20 < numMensajes){
					AlertDialog dialogo20;
					AlertDialog.Builder constructorMensajesEnviados20 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados20.setCancelable(true);
					TextView texto20 = new TextView(ActividadMensajesEnviados.this);
					texto20.setText(mensajes[i][3]);
					texto20.setGravity(Gravity.CENTER);
					constructorMensajesEnviados20.setView(texto20);	
					constructorMensajesEnviados20.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados20.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo20 = constructorMensajesEnviados20.create();
					dialogo20.show();
				}
				break;
			case 21:
				if (21 < numMensajes){
					AlertDialog dialogo21;
					AlertDialog.Builder constructorMensajesEnviados21 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados21.setCancelable(true);
					TextView texto21 = new TextView(ActividadMensajesEnviados.this);
					texto21.setText(mensajes[i][3]);
					texto21.setGravity(Gravity.CENTER);
					constructorMensajesEnviados21.setView(texto21);	
					constructorMensajesEnviados21.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados21.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo21 = constructorMensajesEnviados21.create();
					dialogo21.show();
				}
				break;
			case 22:
				if (22 < numMensajes){
					AlertDialog dialogo22;
					AlertDialog.Builder constructorMensajesEnviados22 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados22.setCancelable(true);
					TextView texto22 = new TextView(ActividadMensajesEnviados.this);
					texto22.setText(mensajes[i][3]);
					texto22.setGravity(Gravity.CENTER);
					constructorMensajesEnviados22.setView(texto22);	
					constructorMensajesEnviados22.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados22.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo22 = constructorMensajesEnviados22.create();
					dialogo22.show();
				}
				break;
			case 23:
				if (23 < numMensajes){
					AlertDialog dialogo23;
					AlertDialog.Builder constructorMensajesEnviados23 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados23.setCancelable(true);
					TextView texto23 = new TextView(ActividadMensajesEnviados.this);
					texto23.setText(mensajes[i][3]);
					texto23.setGravity(Gravity.CENTER);
					constructorMensajesEnviados23.setView(texto23);	
					constructorMensajesEnviados23.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados23.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo23 = constructorMensajesEnviados23.create();
					dialogo23.show();
				}
				break;
			case 24:
				if (24 < numMensajes){
					AlertDialog dialogo24;
					AlertDialog.Builder constructorMensajesEnviados24 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados24.setCancelable(true);
					TextView texto24 = new TextView(ActividadMensajesEnviados.this);
					texto24.setText(mensajes[i][3]);
					texto24.setGravity(Gravity.CENTER);
					constructorMensajesEnviados24.setView(texto24);	
					constructorMensajesEnviados24.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados24.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo24 = constructorMensajesEnviados24.create();
					dialogo24.show();
				}
				break;
			case 25:
				if (25 < numMensajes){
					AlertDialog dialogo25;
					AlertDialog.Builder constructorMensajesEnviados25 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados25.setCancelable(true);
					TextView texto25 = new TextView(ActividadMensajesEnviados.this);
					texto25.setText(mensajes[i][3]);
					texto25.setGravity(Gravity.CENTER);
					constructorMensajesEnviados25.setView(texto25);	
					constructorMensajesEnviados25.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados25.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo25 = constructorMensajesEnviados25.create();
					dialogo25.show();
				}
				break;
			case 26:
				if (26 < numMensajes){
					AlertDialog dialogo26;
					AlertDialog.Builder constructorMensajesEnviados26 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados26.setCancelable(true);
					TextView texto26 = new TextView(ActividadMensajesEnviados.this);
					texto26.setText(mensajes[i][3]);
					texto26.setGravity(Gravity.CENTER);
					constructorMensajesEnviados26.setView(texto26);	
					constructorMensajesEnviados26.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados26.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo26 = constructorMensajesEnviados26.create();
					dialogo26.show();
				}
				break;
			case 27:
				if (27 < numMensajes){
					AlertDialog dialogo27;
					AlertDialog.Builder constructorMensajesEnviados27 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados27.setCancelable(true);
					TextView texto27 = new TextView(ActividadMensajesEnviados.this);
					texto27.setText(mensajes[i][3]);
					texto27.setGravity(Gravity.CENTER);
					constructorMensajesEnviados27.setView(texto27);	
					constructorMensajesEnviados27.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados27.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo27 = constructorMensajesEnviados27.create();
					dialogo27.show();
				}
				break;
			case 28:
				if (28 < numMensajes){
					AlertDialog dialogo28;
					AlertDialog.Builder constructorMensajesEnviados28 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados28.setCancelable(true);
					TextView texto28 = new TextView(ActividadMensajesEnviados.this);
					texto28.setText(mensajes[i][3]);
					texto28.setGravity(Gravity.CENTER);
					constructorMensajesEnviados28.setView(texto28);	
					constructorMensajesEnviados28.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados28.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo28 = constructorMensajesEnviados28.create();
					dialogo28.show();
				}
				break;
			case 29:
				if (29 < numMensajes){
					AlertDialog dialogo29;
					AlertDialog.Builder constructorMensajesEnviados29 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados29.setCancelable(true);
					TextView texto29 = new TextView(ActividadMensajesEnviados.this);
					texto29.setText(mensajes[i][3]);
					texto29.setGravity(Gravity.CENTER);
					constructorMensajesEnviados29.setView(texto29);	
					constructorMensajesEnviados29.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados29.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo29 = constructorMensajesEnviados29.create();
					dialogo29.show();
				}
				break;
			case 30:
				if (30 < numMensajes){
					AlertDialog dialogo30;
					AlertDialog.Builder constructorMensajesEnviados30 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados30.setCancelable(true);
					TextView texto30 = new TextView(ActividadMensajesEnviados.this);
					texto30.setText(mensajes[i][3]);
					texto30.setGravity(Gravity.CENTER);
					constructorMensajesEnviados30.setView(texto30);	
					constructorMensajesEnviados30.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados30.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo30 = constructorMensajesEnviados30.create();
					dialogo30.show();
				}
				break;
			case 31:
				if (31 < numMensajes){
					AlertDialog dialogo31;
					AlertDialog.Builder constructorMensajesEnviados31 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados31.setCancelable(true);
					TextView texto31 = new TextView(ActividadMensajesEnviados.this);
					texto31.setText(mensajes[i][3]);
					texto31.setGravity(Gravity.CENTER);
					constructorMensajesEnviados31.setView(texto31);	
					constructorMensajesEnviados31.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados31.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo31 = constructorMensajesEnviados31.create();
					dialogo31.show();
				}
				break;
			case 32:
				if (32 < numMensajes){
					AlertDialog dialogo32;
					AlertDialog.Builder constructorMensajesEnviados32 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados32.setCancelable(true);
					TextView texto32 = new TextView(ActividadMensajesEnviados.this);
					texto32.setText(mensajes[i][3]);
					texto32.setGravity(Gravity.CENTER);
					constructorMensajesEnviados32.setView(texto32);	
					constructorMensajesEnviados32.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados32.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo32 = constructorMensajesEnviados32.create();
					dialogo32.show();
				}
				break;
			case 33:
				if (33 < numMensajes){
					AlertDialog dialogo33;
					AlertDialog.Builder constructorMensajesEnviados33 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados33.setCancelable(true);
					TextView texto33 = new TextView(ActividadMensajesEnviados.this);
					texto33.setText(mensajes[i][3]);
					texto33.setGravity(Gravity.CENTER);
					constructorMensajesEnviados33.setView(texto33);	
					constructorMensajesEnviados33.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados33.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo33 = constructorMensajesEnviados33.create();
					dialogo33.show();
				}
				break;
			case 34:
				if (34 < numMensajes){
					AlertDialog dialogo34;
					AlertDialog.Builder constructorMensajesEnviados34 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados34.setCancelable(true);
					TextView texto34 = new TextView(ActividadMensajesEnviados.this);
					texto34.setText(mensajes[i][3]);
					texto34.setGravity(Gravity.CENTER);
					constructorMensajesEnviados34.setView(texto34);	
					constructorMensajesEnviados34.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados34.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo34 = constructorMensajesEnviados34.create();
					dialogo34.show();
				}
				break;
			case 35:
				if (35 < numMensajes){
					AlertDialog dialogo35;
					AlertDialog.Builder constructorMensajesEnviados35 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados35.setCancelable(true);
					TextView texto35 = new TextView(ActividadMensajesEnviados.this);
					texto35.setText(mensajes[i][3]);
					texto35.setGravity(Gravity.CENTER);
					constructorMensajesEnviados35.setView(texto35);	
					constructorMensajesEnviados35.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados35.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo35 = constructorMensajesEnviados35.create();
					dialogo35.show();
				}
				break;
			case 36:
				if (36 < numMensajes){
					AlertDialog dialogo36;
					AlertDialog.Builder constructorMensajesEnviados36 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados36.setCancelable(true);
					TextView texto36 = new TextView(ActividadMensajesEnviados.this);
					texto36.setText(mensajes[i][3]);
					texto36.setGravity(Gravity.CENTER);
					constructorMensajesEnviados36.setView(texto36);	
					constructorMensajesEnviados36.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados36.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo36 = constructorMensajesEnviados36.create();
					dialogo36.show();
				}
				break;
			case 37:
				if (37 < numMensajes){
					AlertDialog dialogo37;
					AlertDialog.Builder constructorMensajesEnviados37 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados37.setCancelable(true);
					TextView texto37 = new TextView(ActividadMensajesEnviados.this);
					texto37.setText(mensajes[i][3]);
					texto37.setGravity(Gravity.CENTER);
					constructorMensajesEnviados37.setView(texto37);	
					constructorMensajesEnviados37.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados37.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo37 = constructorMensajesEnviados37.create();
					dialogo37.show();
				}
				break;
			case 38:
				if (38 < numMensajes){
					AlertDialog dialogo38;
					AlertDialog.Builder constructorMensajesEnviados38 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados38.setCancelable(true);
					TextView texto38 = new TextView(ActividadMensajesEnviados.this);
					texto38.setText(mensajes[i][3]);
					texto38.setGravity(Gravity.CENTER);
					constructorMensajesEnviados38.setView(texto38);	
					constructorMensajesEnviados38.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados38.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo38 = constructorMensajesEnviados38.create();
					dialogo38.show();
				}
				break;
			case 39:
				if (39 < numMensajes){
					AlertDialog dialogo39;
					AlertDialog.Builder constructorMensajesEnviados39 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados39.setCancelable(true);
					TextView texto39 = new TextView(ActividadMensajesEnviados.this);
					texto39.setText(mensajes[i][3]);
					texto39.setGravity(Gravity.CENTER);
					constructorMensajesEnviados39.setView(texto39);	
					constructorMensajesEnviados39.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados39.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo39 = constructorMensajesEnviados39.create();
					dialogo39.show();
				}
				break;
			case 40:
				if (40 < numMensajes){
					AlertDialog dialogo40;
					AlertDialog.Builder constructorMensajesEnviados40 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados40.setCancelable(true);
					TextView texto40 = new TextView(ActividadMensajesEnviados.this);
					texto40.setText(mensajes[i][3]);
					texto40.setGravity(Gravity.CENTER);
					constructorMensajesEnviados40.setView(texto40);	
					constructorMensajesEnviados40.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados40.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo40 = constructorMensajesEnviados40.create();
					dialogo40.show();
				}
				break;
			case 41:
				if (41 < numMensajes){
					AlertDialog dialogo41;
					AlertDialog.Builder constructorMensajesEnviados41 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados41.setCancelable(true);
					TextView texto41 = new TextView(ActividadMensajesEnviados.this);
					texto41.setText(mensajes[i][3]);
					texto41.setGravity(Gravity.CENTER);
					constructorMensajesEnviados41.setView(texto41);	
					constructorMensajesEnviados41.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados41.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo41 = constructorMensajesEnviados41.create();
					dialogo41.show();
				}
				break;
			case 42:
				if (42 < numMensajes){
					AlertDialog dialogo42;
					AlertDialog.Builder constructorMensajesEnviados42 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados42.setCancelable(true);
					TextView texto42 = new TextView(ActividadMensajesEnviados.this);
					texto42.setText(mensajes[i][3]);
					texto42.setGravity(Gravity.CENTER);
					constructorMensajesEnviados42.setView(texto42);	
					constructorMensajesEnviados42.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados42.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo42 = constructorMensajesEnviados42.create();
					dialogo42.show();
				}
				break;
			case 43:
				if (43 < numMensajes){
					AlertDialog dialogo43;
					AlertDialog.Builder constructorMensajesEnviados43 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados43.setCancelable(true);
					TextView texto43 = new TextView(ActividadMensajesEnviados.this);
					texto43.setText(mensajes[i][3]);
					texto43.setGravity(Gravity.CENTER);
					constructorMensajesEnviados43.setView(texto43);	
					constructorMensajesEnviados43.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados43.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo43 = constructorMensajesEnviados43.create();
					dialogo43.show();
				}
				break;
			case 44:
				if (44 < numMensajes){
					AlertDialog dialogo44;
					AlertDialog.Builder constructorMensajesEnviados44 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados44.setCancelable(true);
					TextView texto44 = new TextView(ActividadMensajesEnviados.this);
					texto44.setText(mensajes[i][3]);
					texto44.setGravity(Gravity.CENTER);
					constructorMensajesEnviados44.setView(texto44);	
					constructorMensajesEnviados44.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados44.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo44 = constructorMensajesEnviados44.create();
					dialogo44.show();
				}
				break;
			case 45:
				if (45 < numMensajes){
					AlertDialog dialogo45;
					AlertDialog.Builder constructorMensajesEnviados45 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados45.setCancelable(true);
					TextView texto45 = new TextView(ActividadMensajesEnviados.this);
					texto45.setText(mensajes[i][3]);
					texto45.setGravity(Gravity.CENTER);
					constructorMensajesEnviados45.setView(texto45);	
					constructorMensajesEnviados45.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados45.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo45 = constructorMensajesEnviados45.create();
					dialogo45.show();
				}
				break;
			case 46:
				if (46 < numMensajes){
					AlertDialog dialogo46;
					AlertDialog.Builder constructorMensajesEnviados46 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados46.setCancelable(true);
					TextView texto46 = new TextView(ActividadMensajesEnviados.this);
					texto46.setText(mensajes[i][3]);
					texto46.setGravity(Gravity.CENTER);
					constructorMensajesEnviados46.setView(texto46);	
					constructorMensajesEnviados46.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados46.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo46 = constructorMensajesEnviados46.create();
					dialogo46.show();
				}
				break;
			case 47:
				if (47 < numMensajes){
					AlertDialog dialogo47;
					AlertDialog.Builder constructorMensajesEnviados47 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados47.setCancelable(true);
					TextView texto47 = new TextView(ActividadMensajesEnviados.this);
					texto47.setText(mensajes[i][3]);
					texto47.setGravity(Gravity.CENTER);
					constructorMensajesEnviados47.setView(texto47);	
					constructorMensajesEnviados47.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados47.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo47 = constructorMensajesEnviados47.create();
					dialogo47.show();
				}
				break;
			case 48:
				if (48 < numMensajes){
					AlertDialog dialogo48;
					AlertDialog.Builder constructorMensajesEnviados48 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados48.setCancelable(true);
					TextView texto48 = new TextView(ActividadMensajesEnviados.this);
					texto48.setText(mensajes[i][3]);
					texto48.setGravity(Gravity.CENTER);
					constructorMensajesEnviados48.setView(texto48);	
					constructorMensajesEnviados48.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados48.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo48 = constructorMensajesEnviados48.create();
					dialogo48.show();
				}
				break;
			case 49:
				if (49 < numMensajes){
					AlertDialog dialogo49;
					AlertDialog.Builder constructorMensajesEnviados49 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados49.setCancelable(true);
					TextView texto49 = new TextView(ActividadMensajesEnviados.this);
					texto49.setText(mensajes[i][3]);
					texto49.setGravity(Gravity.CENTER);
					constructorMensajesEnviados49.setView(texto49);	
					constructorMensajesEnviados49.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados49.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo49 = constructorMensajesEnviados49.create();
					dialogo49.show();
				}
				break;
			case 50:
				if (50 < numMensajes){
					AlertDialog dialogo50;
					AlertDialog.Builder constructorMensajesEnviados50 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados50.setCancelable(true);
					TextView texto50 = new TextView(ActividadMensajesEnviados.this);
					texto50.setText(mensajes[i][3]);
					texto50.setGravity(Gravity.CENTER);
					constructorMensajesEnviados50.setView(texto50);	
					constructorMensajesEnviados50.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados50.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo50 = constructorMensajesEnviados50.create();
					dialogo50.show();
				}
				break;
			case 51:
				if (51 < numMensajes){
					AlertDialog dialogo51;
					AlertDialog.Builder constructorMensajesEnviados51 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados51.setCancelable(true);
					TextView texto51 = new TextView(ActividadMensajesEnviados.this);
					texto51.setText(mensajes[i][3]);
					texto51.setGravity(Gravity.CENTER);
					constructorMensajesEnviados51.setView(texto51);	
					constructorMensajesEnviados51.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados51.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo51 = constructorMensajesEnviados51.create();
					dialogo51.show();
				}
				break;
			case 52:
				if (52 < numMensajes){
					AlertDialog dialogo52;
					AlertDialog.Builder constructorMensajesEnviados52 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados52.setCancelable(true);
					TextView texto52 = new TextView(ActividadMensajesEnviados.this);
					texto52.setText(mensajes[i][3]);
					texto52.setGravity(Gravity.CENTER);
					constructorMensajesEnviados52.setView(texto52);	
					constructorMensajesEnviados52.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados52.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo52 = constructorMensajesEnviados52.create();
					dialogo52.show();
				}
				break;
			case 53:
				if (53 < numMensajes){
					AlertDialog dialogo53;
					AlertDialog.Builder constructorMensajesEnviados53 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados53.setCancelable(true);
					TextView texto53 = new TextView(ActividadMensajesEnviados.this);
					texto53.setText(mensajes[i][3]);
					texto53.setGravity(Gravity.CENTER);
					constructorMensajesEnviados53.setView(texto53);	
					constructorMensajesEnviados53.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados53.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo53 = constructorMensajesEnviados53.create();
					dialogo53.show();
				}
				break;
			case 54:
				if (54 < numMensajes){
					AlertDialog dialogo54;
					AlertDialog.Builder constructorMensajesEnviados54 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados54.setCancelable(true);
					TextView texto54 = new TextView(ActividadMensajesEnviados.this);
					texto54.setText(mensajes[i][3]);
					texto54.setGravity(Gravity.CENTER);
					constructorMensajesEnviados54.setView(texto54);	
					constructorMensajesEnviados54.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados54.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo54 = constructorMensajesEnviados54.create();
					dialogo54.show();
				}
				break;
			case 55:
				if (55 < numMensajes){
					AlertDialog dialogo55;
					AlertDialog.Builder constructorMensajesEnviados55 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados55.setCancelable(true);
					TextView texto55 = new TextView(ActividadMensajesEnviados.this);
					texto55.setText(mensajes[i][3]);
					texto55.setGravity(Gravity.CENTER);
					constructorMensajesEnviados55.setView(texto55);	
					constructorMensajesEnviados55.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados55.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo55 = constructorMensajesEnviados55.create();
					dialogo55.show();
				}
				break;
			case 56:
				if (56 < numMensajes){
					AlertDialog dialogo56;
					AlertDialog.Builder constructorMensajesEnviados56 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados56.setCancelable(true);
					TextView texto56 = new TextView(ActividadMensajesEnviados.this);
					texto56.setText(mensajes[i][3]);
					texto56.setGravity(Gravity.CENTER);
					constructorMensajesEnviados56.setView(texto56);	
					constructorMensajesEnviados56.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados56.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo56 = constructorMensajesEnviados56.create();
					dialogo56.show();
				}
				break;
			case 57:
				if (57 < numMensajes){
					AlertDialog dialogo57;
					AlertDialog.Builder constructorMensajesEnviados57 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados57.setCancelable(true);
					TextView texto57 = new TextView(ActividadMensajesEnviados.this);
					texto57.setText(mensajes[i][3]);
					texto57.setGravity(Gravity.CENTER);
					constructorMensajesEnviados57.setView(texto57);	
					constructorMensajesEnviados57.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados57.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo57 = constructorMensajesEnviados57.create();
					dialogo57.show();
				}
				break;
			case 58:
				if (58 < numMensajes){
					AlertDialog dialogo58;
					AlertDialog.Builder constructorMensajesEnviados58 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados58.setCancelable(true);
					TextView texto58 = new TextView(ActividadMensajesEnviados.this);
					texto58.setText(mensajes[i][3]);
					texto58.setGravity(Gravity.CENTER);
					constructorMensajesEnviados58.setView(texto58);	
					constructorMensajesEnviados58.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados58.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo58 = constructorMensajesEnviados58.create();
					dialogo58.show();
				}
				break;
			case 59:
				if (59 < numMensajes){
					AlertDialog dialogo59;
					AlertDialog.Builder constructorMensajesEnviados59 = new AlertDialog.Builder(ActividadMensajesEnviados.this);
					constructorMensajesEnviados59.setCancelable(true);
					TextView texto59 = new TextView(ActividadMensajesEnviados.this);
					texto59.setText(mensajes[i][3]);
					texto59.setGravity(Gravity.CENTER);
					constructorMensajesEnviados59.setView(texto59);	
					constructorMensajesEnviados59.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesEnviados59.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo59 = constructorMensajesEnviados59.create();
					dialogo59.show();
				}
				break;
			
				
		}
}
	
	
	
	private String [][] mensajesEnviados(String usuarioReceptor){
		
		final String URLconsultarPetic = "http://aperezba.dyndns.org:9080/webService/ListaEnviadosAction.action?parametroJSON=" + usuarioReceptor;
		
		InputStream is = null;
		String result = "";
	
		Log.i("CadenaConexión", "creamos las variables y la url de conexión" + URLconsultarPetic);
	
		try{
		    HttpClient httpclient = new DefaultHttpClient();
		    HttpPost httppost = new HttpPost(URLconsultarPetic);
		    HttpResponse response = httpclient.execute(httppost);
		    HttpEntity entity = response.getEntity();
		    is = entity.getContent();
		
		}catch(Exception e){
		    Log.e("log_tag", "Error en la conexión http: "+e.toString());
		}
		
		//convert response to string
		try{
		    BufferedReader reader = new BufferedReader(new InputStreamReader(is,"iso-8859-1"),8);
		    StringBuilder sb = new StringBuilder();
		    String line = null;
		    while ((line = reader.readLine()) != null) {
		            sb.append(line + "\n");
		    }
		    is.close();
		    result=sb.toString();
		    
		}catch(Exception e){
		    Log.e("log_tag", "Error converting result "+e);
		}
	   	Log.i("CadenaConexión", "el resultado es " + result);
		
		
		String ret = null;
		try{
			
			JSONObject json = (JSONObject) new JSONTokener(result).nextValue();
			Log.i("infoJSONMensajesEnviados", "Objeto JSON creado");
	    	JSONArray nameArray = json.names();
	    	Log.i("infoJSONMensajesEnviados", "obtenemos nombres");
	    	JSONArray valArray = json.toJSONArray(nameArray);
	    	Log.i("infoJSONMensajesEnviados", "lo pasamos a array");
	    	
    		ret = new String (valArray.getString(0));
    		Log.i("infoJSONMensajesEnviados", "Lo convertimos a String");
	    		
		}catch(JSONException e){
	            Log.e("infoJSONMensajesEnviados", "Error parsing data: "+e.toString());
	            //Toast.makeText(cntxt, "Error parsing data "+e.toString(), Toast.LENGTH_LONG).show();
		}
		catch (NullPointerException exc){
			Log.i("Excepción", "Error" + exc);
		}
       
		
		String mensaEnviados [][] = new String[256][4];
		String aux[] = new String[256];
		int inicio=3;
		int indice=0;
		//Colocamos los usuarios en un array para sacarlos más cómodamente
		int i = 0;
		Log.i("Mensajes Enviados", ret);
     	Log.i("Mensajes Enviados", "tamaño cadena: " + ret.length());
     	indice = ret.indexOf(",");
     	Log.i("Mensajes Enviados", "índice inicial: " + indice);
     	
     	
     	
     	//Comprobamos si hay alguna solicitud de amigo.
     	if(ret.length()>2){
     		
     		if (indice == -1 && ret.equals("No hay mensajes en la bandeja de salida")){
	     		Log.i("TratamientoInicialyFinalSinMsj", ret);
	         	Log.i("TratamientoInicialyFinalSinMsg", "tamaño cadena: " + ret.length());
	         	
	     			mensaEnviados[0][0]="-1";
	     			Log.i("TratamientoInicialyFinalSinMsj", mensaEnviados[0][0]);
	     			mensaEnviados[0][1] = ret;
	     			Log.i("TratamientoInicialyFinalSinMsj", mensaEnviados[0][1]);
	     			mensaEnviados[0][2] = ret;
	     			Log.i("TratamientoInicialyFinalSinMsj", mensaEnviados[0][2]);
	     			mensaEnviados[0][3] = ret;
	     			
	     			               
	     		         	
	     			Log.i("Mensajes Enviados", "idMensaje: " + mensaEnviados[i][0] + " nombreEnvidador: " + mensaEnviados[i][1] + " NombreReceptor: " + mensaEnviados[i][2] + " mensaje: " + mensaEnviados[i][3]);
	         	
	         	i++;
	         	Log.i("logRestanteCadenaSinMsj", "contador=" + i + " resto de la cadena " + ret);
	         	
	     	}else if (indice == -1 && !ret.equals("No hay mensajes en la bandeja de salida")){
	     		Log.i("TratamientoInicialyFinalConMsj", ret);
	     		aux[i] = ret.substring(ret.indexOf("[")+1,ret.length()-1);
	     		Log.i("TratamientoInicialyFinalConMsj", aux[i]);
	     		mensaEnviados[i] = aux[i].split("xyx");
	     		Log.i("Mensajes Enviados", "idMensaje: " + mensaEnviados[i][0] + " nombreEnvidador: " + mensaEnviados[i][1] + " NombreReceptor: " + mensaEnviados[i][2] + " mensaje: " + mensaEnviados[i][3]);
	     		i++;
		         
	     	}else if (indice!=0){	         		
	     	
	         	aux[i] = ret.substring(ret.indexOf("\"")+1, ret.indexOf(","));
	         	Log.i("Mensajes Enviados", aux[i]);
	         	inicio = inicio + aux[i].length();
	         	Log.i("Mensajes Enviados", "inicio: " + inicio);
	         	ret=ret.substring(inicio,ret.length());
	         	Log.i("log", "corte de cadena bien hecho: " + ret);
	         	mensaEnviados[i] = aux[i].split("xyx");
	         	Log.i("Mensajes Enviados", "idMensaje: " + mensaEnviados[i][0] + " nombreEnvidador: " + mensaEnviados[i][1] + " NombreReceptor: " + mensaEnviados[i][2] + " mensaje: " + mensaEnviados[i][3]);
	         	
	         	indice = ret.indexOf(",");
	         	Log.i("log", ret);
	         	i++;
	         	
	            while (indice !=-1){
	            	
	            	
	            
	            	Log.i("Mensajes Enviados", ret);
	            	Log.i("Mensajes Enviados", "tamaño cadena: " + ret.length());
	            	aux[i] = ret.substring(ret.indexOf("\"")+1, ret.indexOf(","));
	            	Log.i("Mensajes Enviados", aux[i]);
	            	inicio = aux[i].length();
	            	Log.i("Mensajes Enviados","inicio: "+inicio);
	            	ret=ret.substring(inicio+1,ret.length());
	            	
	            	mensaEnviados[i] = aux[i].split("xyx");
	            	Log.i("Mensajes Enviados", "idMensaje: " + mensaEnviados[i][0] + " nombreEnvidador: " + mensaEnviados[i][1] + " NombreReceptor: " + mensaEnviados[i][2] + " mensaje: " + mensaEnviados[i][3]);
	             	
	            	Log.i("Mensajes Enviados", ret);
	            	indice = ret.indexOf(",");
	            	i++;
	            }
	            
	            Log.i("TratamientoFinal", ret);
	         	Log.i("TratamientoFinal", "tamaño cadena: " + ret.length());
	         	aux[i] = ret.substring(ret.indexOf("\"")+1, ret.indexOf("]"));
	         	Log.i("TratamientoFinal", aux[i]);
	         	inicio = aux[i].length();
	         	Log.i("TratamientoFinal","inicio: "+inicio);
	         	ret=ret.substring(inicio+1,ret.length());
	         	
	         	mensaEnviados[i] = aux[i].split("xyx");
	         	Log.i("Mensajes Enviados", "idMensaje: " + mensaEnviados[i][0] + " nombreEnvidador: " + mensaEnviados[i][1] + " NombreReceptor: " + mensaEnviados[i][2] + " mensaje: " + mensaEnviados[i][3]);
	         	i++;
	         	Log.i("Mensajes Enviados", "contador=" + i + " resto de la cadena " + ret);
	     	}
	     	mensaEnviados[i][0]="-1";
     	} 	
     	numMensajes = i;
     	return mensaEnviados;
	}
	public boolean onKeyDown(int keyCode, KeyEvent event){
		if (keyCode == KeyEvent.KEYCODE_BACK){
			Log.i("PulsandoPatrásEnviados", "Eh!! has pulsao patrás!!");
			finish();
			return true;
		}
		Log.i("PulsandoPatrásEnviados", "Eh?? has pulsao patrás??");
		return super.onKeyDown(keyCode, event);
	}
	public void onDestroy() {
		Log.i("Destroyeeeeeer", "vamos a salir de Mensajes Enviados");
		super.onDestroy();
	}
	
}
