package com.pfc.app.nbff;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.json.JSONTokener;

import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.util.Log;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class ActividadMensajesNuevos extends ListActivity{
	
	static String[] OPCIONES;
	private String usuario = new String();
	static String mensajes [][];
	static int numMensajes;
	public final static int numMensajesMaximo = 60;
	public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //Le damos una vista que mostrar al programa
        setContentView(R.layout.layout_lista);
        setTitle(R.string.tituloMensajesNuevos);
        usuario = getIntent().getStringExtra("idUser");
        
        
        Log.i("ArrayList", "el usuario es: " + usuario);
        	
        mensajes = mensajesNuevos(usuario);
        Log.i("ArrayList", "el tamaño es: " + mensajes.length);
        OPCIONES = new String [numMensajes];
        Log.i("ArrayList", "Entramos en el bucle teniendo que obtener: " + numMensajes + " mensajes");
        
        if (mensajes[0][0].equals("-1")){
        	Log.i("ArrayList", "No hay elementos? " + mensajes[0][0]);
        	AlertDialog.Builder constructorNoMensajesRecibidosAdv = new AlertDialog.Builder(ActividadMensajesNuevos.this);
			constructorNoMensajesRecibidosAdv.setCancelable(true);
			TextView textoNoAdv = new TextView(ActividadMensajesNuevos.this);
			textoNoAdv.setText(R.string.noHayMensajes);
			textoNoAdv.setGravity(Gravity.CENTER);
			constructorNoMensajesRecibidosAdv.setView(textoNoAdv);
			constructorNoMensajesRecibidosAdv.setPositiveButton(R.string.aceptar, new OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					dialog.dismiss();
					finish();
				}
			});
			constructorNoMensajesRecibidosAdv.create().show();
        }else{
	        for (int i=0; i < numMensajes ; i++){
	        	
	        	String nombre = mensajes[i][1];
	        	if(nombre!=null && i<numMensajesMaximo){
	        		OPCIONES[i]="Mensaje de: " + nombre;
	        		Log.i("ArrayList", "el array opciones: " + OPCIONES[i] + " ,cont: " + i);
	        		
	        	}
	        }
	        
	        Log.i("ArrayList", "Salimos del bucle con: " + numMensajes + " mensajes");
	        if ( numMensajes > 60){
	        	
				AlertDialog.Builder constructorNoMensajesNuevosAdv = new AlertDialog.Builder(ActividadMensajesNuevos.this);
				constructorNoMensajesNuevosAdv.setCancelable(true);
				TextView textoNoAdv = new TextView(ActividadMensajesNuevos.this);
				textoNoAdv.setText(R.string.excesoMensajes);
				textoNoAdv.setGravity(Gravity.CENTER);
				constructorNoMensajesNuevosAdv.setView(textoNoAdv);
				constructorNoMensajesNuevosAdv.setPositiveButton(R.string.aceptar, new OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						dialog.dismiss();	
					}
				});
	        	constructorNoMensajesNuevosAdv.create().show();
	        }
	        Log.i("ArrayList", "Antes del adapter");
	        setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1,OPCIONES) );
	        Log.i("ArrayList", "Después del adapter");
        }
	}
	
protected void onListItemClick(ListView l, View v, int position, long id){
		
		super.onListItemClick(l, v, position, id);
		
		int i = (int) id;
		Log.i("Estamos!", "número de opciones: " + i);
		
		
		switch (i) {
		
			case 0:
				if (0 < numMensajes){
					AlertDialog dialogo0;
					AlertDialog.Builder constructorMensajesNuevos0 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos0.setCancelable(true);
					TextView texto0 = new TextView(ActividadMensajesNuevos.this);
					texto0.setText(mensajes[i][3]);
					texto0.setGravity(Gravity.CENTER);
					constructorMensajesNuevos0.setView(texto0);	
					constructorMensajesNuevos0.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos0.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo0 = constructorMensajesNuevos0.create();
					dialogo0.show();
				}
				break;
			case 1:
				if (1 < numMensajes){
					AlertDialog dialogo1;
					AlertDialog.Builder constructorMensajesNuevos1 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos1.setCancelable(true);
					TextView texto1 = new TextView(ActividadMensajesNuevos.this);
					texto1.setText(mensajes[i][3]);
					texto1.setGravity(Gravity.CENTER);
					constructorMensajesNuevos1.setView(texto1);	
					constructorMensajesNuevos1.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos1.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo1 = constructorMensajesNuevos1.create();
					dialogo1.show();
				}
				break;
			case 2:
				if (2 < numMensajes){
					AlertDialog dialogo2;
					AlertDialog.Builder constructorMensajesNuevos2 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos2.setCancelable(true);
					TextView texto2 = new TextView(ActividadMensajesNuevos.this);
					texto2.setText(mensajes[i][3]);
					texto2.setGravity(Gravity.CENTER);
					constructorMensajesNuevos2.setView(texto2);	
					constructorMensajesNuevos2.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos2.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo2 = constructorMensajesNuevos2.create();
					dialogo2.show();
				}
				break;
			case 3:
				if (3 < numMensajes){
					AlertDialog dialogo3;
					AlertDialog.Builder constructorMensajesNuevos3 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos3.setCancelable(true);
					TextView texto3 = new TextView(ActividadMensajesNuevos.this);
					texto3.setText(mensajes[i][3]);
					texto3.setGravity(Gravity.CENTER);
					constructorMensajesNuevos3.setView(texto3);	
					constructorMensajesNuevos3.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos3.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo3 = constructorMensajesNuevos3.create();
					dialogo3.show();
				}
				break;
			case 4:
				if (4 < numMensajes){
					AlertDialog dialogo4;
					AlertDialog.Builder constructorMensajesNuevos4 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos4.setCancelable(true);
					TextView texto4 = new TextView(ActividadMensajesNuevos.this);
					texto4.setText(mensajes[i][3]);
					texto4.setGravity(Gravity.CENTER);
					constructorMensajesNuevos4.setView(texto4);	
					constructorMensajesNuevos4.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos4.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo4 = constructorMensajesNuevos4.create();
					dialogo4.show();
				}
				break;
			case 5:
				if (5 < numMensajes){
					AlertDialog dialogo5;
					AlertDialog.Builder constructorMensajesNuevos5 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos5.setCancelable(true);
					TextView texto5 = new TextView(ActividadMensajesNuevos.this);
					texto5.setText(mensajes[i][3]);
					texto5.setGravity(Gravity.CENTER);
					constructorMensajesNuevos5.setView(texto5);	
					constructorMensajesNuevos5.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos5.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo5 = constructorMensajesNuevos5.create();
					dialogo5.show();
				}
				break;
			case 6:
				if (6 < numMensajes){
					AlertDialog dialogo6;
					AlertDialog.Builder constructorMensajesNuevos6 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos6.setCancelable(true);
					TextView texto6 = new TextView(ActividadMensajesNuevos.this);
					texto6.setText(mensajes[i][3]);
					texto6.setGravity(Gravity.CENTER);
					constructorMensajesNuevos6.setView(texto6);	
					constructorMensajesNuevos6.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos6.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo6 = constructorMensajesNuevos6.create();
					dialogo6.show();
				}
				break;
			case 7:
				if (7 < numMensajes){
					AlertDialog dialogo7;
					AlertDialog.Builder constructorMensajesNuevos7 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos7.setCancelable(true);
					TextView texto7 = new TextView(ActividadMensajesNuevos.this);
					texto7.setText(mensajes[i][3]);
					texto7.setGravity(Gravity.CENTER);
					constructorMensajesNuevos7.setView(texto7);	
					constructorMensajesNuevos7.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos7.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo7 = constructorMensajesNuevos7.create();
					dialogo7.show();
				}
				break;
			case 8:
				if (8 < numMensajes){
					AlertDialog dialogo8;
					AlertDialog.Builder constructorMensajesNuevos8 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos8.setCancelable(true);
					TextView texto8 = new TextView(ActividadMensajesNuevos.this);
					texto8.setText(mensajes[i][3]);
					texto8.setGravity(Gravity.CENTER);
					constructorMensajesNuevos8.setView(texto8);	
					constructorMensajesNuevos8.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos8.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo8 = constructorMensajesNuevos8.create();
					dialogo8.show();
				}
				break;
			case 9:
				if (9 < numMensajes){
					AlertDialog dialogo9;
					AlertDialog.Builder constructorMensajesNuevos9 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos9.setCancelable(true);
					TextView texto9 = new TextView(ActividadMensajesNuevos.this);
					texto9.setText(mensajes[i][3]);
					texto9.setGravity(Gravity.CENTER);
					constructorMensajesNuevos9.setView(texto9);	
					constructorMensajesNuevos9.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos9.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo9 = constructorMensajesNuevos9.create();
					dialogo9.show();
				}
				break;
			case 10:
				if (10 < numMensajes){
					AlertDialog dialogo10;
					AlertDialog.Builder constructorMensajesNuevos10 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos10.setCancelable(true);
					TextView texto10 = new TextView(ActividadMensajesNuevos.this);
					texto10.setText(mensajes[i][3]);
					texto10.setGravity(Gravity.CENTER);
					constructorMensajesNuevos10.setView(texto10);	
					constructorMensajesNuevos10.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos10.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo10 = constructorMensajesNuevos10.create();
					dialogo10.show();
				}
				break;
			case 11:
				if (11 < numMensajes){
					AlertDialog dialogo11;
					AlertDialog.Builder constructorMensajesNuevos11 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos11.setCancelable(true);
					TextView texto11 = new TextView(ActividadMensajesNuevos.this);
					texto11.setText(mensajes[i][3]);
					texto11.setGravity(Gravity.CENTER);
					constructorMensajesNuevos11.setView(texto11);	
					constructorMensajesNuevos11.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos11.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo11 = constructorMensajesNuevos11.create();
					dialogo11.show();
				}
				break;
			case 12:
				if (12 < numMensajes){
					AlertDialog dialogo12;
					AlertDialog.Builder constructorMensajesNuevos12 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos12.setCancelable(true);
					TextView texto12 = new TextView(ActividadMensajesNuevos.this);
					texto12.setText(mensajes[i][3]);
					texto12.setGravity(Gravity.CENTER);
					constructorMensajesNuevos12.setView(texto12);	
					constructorMensajesNuevos12.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos12.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo12 = constructorMensajesNuevos12.create();
					dialogo12.show();
				}
				break;
			case 13:
				if (13 < numMensajes){
					AlertDialog dialogo13;
					AlertDialog.Builder constructorMensajesNuevos13 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos13.setCancelable(true);
					TextView texto13 = new TextView(ActividadMensajesNuevos.this);
					texto13.setText(mensajes[i][3]);
					texto13.setGravity(Gravity.CENTER);
					constructorMensajesNuevos13.setView(texto13);	
					constructorMensajesNuevos13.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos13.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo13 = constructorMensajesNuevos13.create();
					dialogo13.show();
				}
				break;
			case 14:
				if (14 < numMensajes){
					AlertDialog dialogo14;
					AlertDialog.Builder constructorMensajesNuevos14 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos14.setCancelable(true);
					TextView texto14 = new TextView(ActividadMensajesNuevos.this);
					texto14.setText(mensajes[i][3]);
					texto14.setGravity(Gravity.CENTER);
					constructorMensajesNuevos14.setView(texto14);	
					constructorMensajesNuevos14.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos14.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo14 = constructorMensajesNuevos14.create();
					dialogo14.show();
				}
				break;
			case 15:
				if (15 < numMensajes){
					AlertDialog dialogo15;
					AlertDialog.Builder constructorMensajesNuevos15 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos15.setCancelable(true);
					TextView texto15 = new TextView(ActividadMensajesNuevos.this);
					texto15.setText(mensajes[i][3]);
					texto15.setGravity(Gravity.CENTER);
					constructorMensajesNuevos15.setView(texto15);	
					constructorMensajesNuevos15.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos15.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo15 = constructorMensajesNuevos15.create();
					dialogo15.show();
				}
				break;
			case 16:
				if (16 < numMensajes){
					AlertDialog dialogo16;
					AlertDialog.Builder constructorMensajesNuevos16 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos16.setCancelable(true);
					TextView texto16 = new TextView(ActividadMensajesNuevos.this);
					texto16.setText(mensajes[i][3]);
					texto16.setGravity(Gravity.CENTER);
					constructorMensajesNuevos16.setView(texto16);	
					constructorMensajesNuevos16.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos16.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo16 = constructorMensajesNuevos16.create();
					dialogo16.show();
				}
				break;
			case 17:
				if (17 < numMensajes){
					AlertDialog dialogo17;
					AlertDialog.Builder constructorMensajesNuevos17 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos17.setCancelable(true);
					TextView texto17 = new TextView(ActividadMensajesNuevos.this);
					texto17.setText(mensajes[i][3]);
					texto17.setGravity(Gravity.CENTER);
					constructorMensajesNuevos17.setView(texto17);	
					constructorMensajesNuevos17.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos17.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo17 = constructorMensajesNuevos17.create();
					dialogo17.show();
				}
				break;
			case 18:
				if (18 < numMensajes){
					AlertDialog dialogo18;
					AlertDialog.Builder constructorMensajesNuevos18 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos18.setCancelable(true);
					TextView texto18 = new TextView(ActividadMensajesNuevos.this);
					texto18.setText(mensajes[i][3]);
					texto18.setGravity(Gravity.CENTER);
					constructorMensajesNuevos18.setView(texto18);	
					constructorMensajesNuevos18.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos18.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo18 = constructorMensajesNuevos18.create();
					dialogo18.show();
				}
				break;
			case 19:
				if (19 < numMensajes){
					AlertDialog dialogo19;
					AlertDialog.Builder constructorMensajesNuevos19 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos19.setCancelable(true);
					TextView texto19 = new TextView(ActividadMensajesNuevos.this);
					texto19.setText(mensajes[i][3]);
					texto19.setGravity(Gravity.CENTER);
					constructorMensajesNuevos19.setView(texto19);	
					constructorMensajesNuevos19.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos19.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo19 = constructorMensajesNuevos19.create();
					dialogo19.show();
				}
				break;
			case 20:
				if (20 < numMensajes){
					AlertDialog dialogo20;
					AlertDialog.Builder constructorMensajesNuevos20 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos20.setCancelable(true);
					TextView texto20 = new TextView(ActividadMensajesNuevos.this);
					texto20.setText(mensajes[i][3]);
					texto20.setGravity(Gravity.CENTER);
					constructorMensajesNuevos20.setView(texto20);	
					constructorMensajesNuevos20.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos20.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo20 = constructorMensajesNuevos20.create();
					dialogo20.show();
				}
				break;
			case 21:
				if (21 < numMensajes){
					AlertDialog dialogo21;
					AlertDialog.Builder constructorMensajesNuevos21 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos21.setCancelable(true);
					TextView texto21 = new TextView(ActividadMensajesNuevos.this);
					texto21.setText(mensajes[i][3]);
					texto21.setGravity(Gravity.CENTER);
					constructorMensajesNuevos21.setView(texto21);	
					constructorMensajesNuevos21.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos21.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo21 = constructorMensajesNuevos21.create();
					dialogo21.show();
				}
				break;
			case 22:
				if (22 < numMensajes){
					AlertDialog dialogo22;
					AlertDialog.Builder constructorMensajesNuevos22 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos22.setCancelable(true);
					TextView texto22 = new TextView(ActividadMensajesNuevos.this);
					texto22.setText(mensajes[i][3]);
					texto22.setGravity(Gravity.CENTER);
					constructorMensajesNuevos22.setView(texto22);	
					constructorMensajesNuevos22.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos22.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo22 = constructorMensajesNuevos22.create();
					dialogo22.show();
				}
				break;
			case 23:
				if (23 < numMensajes){
					AlertDialog dialogo23;
					AlertDialog.Builder constructorMensajesNuevos23 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos23.setCancelable(true);
					TextView texto23 = new TextView(ActividadMensajesNuevos.this);
					texto23.setText(mensajes[i][3]);
					texto23.setGravity(Gravity.CENTER);
					constructorMensajesNuevos23.setView(texto23);	
					constructorMensajesNuevos23.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos23.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo23 = constructorMensajesNuevos23.create();
					dialogo23.show();
				}
				break;
			case 24:
				if (24 < numMensajes){
					AlertDialog dialogo24;
					AlertDialog.Builder constructorMensajesNuevos24 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos24.setCancelable(true);
					TextView texto24 = new TextView(ActividadMensajesNuevos.this);
					texto24.setText(mensajes[i][3]);
					texto24.setGravity(Gravity.CENTER);
					constructorMensajesNuevos24.setView(texto24);	
					constructorMensajesNuevos24.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos24.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo24 = constructorMensajesNuevos24.create();
					dialogo24.show();
				}
				break;
			case 25:
				if (25 < numMensajes){
					AlertDialog dialogo25;
					AlertDialog.Builder constructorMensajesNuevos25 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos25.setCancelable(true);
					TextView texto25 = new TextView(ActividadMensajesNuevos.this);
					texto25.setText(mensajes[i][3]);
					texto25.setGravity(Gravity.CENTER);
					constructorMensajesNuevos25.setView(texto25);	
					constructorMensajesNuevos25.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos25.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo25 = constructorMensajesNuevos25.create();
					dialogo25.show();
				}
				break;
			case 26:
				if (26 < numMensajes){
					AlertDialog dialogo26;
					AlertDialog.Builder constructorMensajesNuevos26 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos26.setCancelable(true);
					TextView texto26 = new TextView(ActividadMensajesNuevos.this);
					texto26.setText(mensajes[i][3]);
					texto26.setGravity(Gravity.CENTER);
					constructorMensajesNuevos26.setView(texto26);	
					constructorMensajesNuevos26.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos26.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo26 = constructorMensajesNuevos26.create();
					dialogo26.show();
				}
				break;
			case 27:
				if (27 < numMensajes){
					AlertDialog dialogo27;
					AlertDialog.Builder constructorMensajesNuevos27 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos27.setCancelable(true);
					TextView texto27 = new TextView(ActividadMensajesNuevos.this);
					texto27.setText(mensajes[i][3]);
					texto27.setGravity(Gravity.CENTER);
					constructorMensajesNuevos27.setView(texto27);	
					constructorMensajesNuevos27.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos27.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo27 = constructorMensajesNuevos27.create();
					dialogo27.show();
				}
				break;
			case 28:
				if (28 < numMensajes){
					AlertDialog dialogo28;
					AlertDialog.Builder constructorMensajesNuevos28 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos28.setCancelable(true);
					TextView texto28 = new TextView(ActividadMensajesNuevos.this);
					texto28.setText(mensajes[i][3]);
					texto28.setGravity(Gravity.CENTER);
					constructorMensajesNuevos28.setView(texto28);	
					constructorMensajesNuevos28.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos28.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo28 = constructorMensajesNuevos28.create();
					dialogo28.show();
				}
				break;
			case 29:
				if (29 < numMensajes){
					AlertDialog dialogo29;
					AlertDialog.Builder constructorMensajesNuevos29 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos29.setCancelable(true);
					TextView texto29 = new TextView(ActividadMensajesNuevos.this);
					texto29.setText(mensajes[i][3]);
					texto29.setGravity(Gravity.CENTER);
					constructorMensajesNuevos29.setView(texto29);	
					constructorMensajesNuevos29.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos29.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo29 = constructorMensajesNuevos29.create();
					dialogo29.show();
				}
				break;
			case 30:
				if (30 < numMensajes){
					AlertDialog dialogo30;
					AlertDialog.Builder constructorMensajesNuevos30 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos30.setCancelable(true);
					TextView texto30 = new TextView(ActividadMensajesNuevos.this);
					texto30.setText(mensajes[i][3]);
					texto30.setGravity(Gravity.CENTER);
					constructorMensajesNuevos30.setView(texto30);	
					constructorMensajesNuevos30.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos30.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo30 = constructorMensajesNuevos30.create();
					dialogo30.show();
				}
				break;
			case 31:
				if (31 < numMensajes){
					AlertDialog dialogo31;
					AlertDialog.Builder constructorMensajesNuevos31 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos31.setCancelable(true);
					TextView texto31 = new TextView(ActividadMensajesNuevos.this);
					texto31.setText(mensajes[i][3]);
					texto31.setGravity(Gravity.CENTER);
					constructorMensajesNuevos31.setView(texto31);	
					constructorMensajesNuevos31.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos31.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo31 = constructorMensajesNuevos31.create();
					dialogo31.show();
				}
				break;
			case 32:
				if (32 < numMensajes){
					AlertDialog dialogo32;
					AlertDialog.Builder constructorMensajesNuevos32 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos32.setCancelable(true);
					TextView texto32 = new TextView(ActividadMensajesNuevos.this);
					texto32.setText(mensajes[i][3]);
					texto32.setGravity(Gravity.CENTER);
					constructorMensajesNuevos32.setView(texto32);	
					constructorMensajesNuevos32.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos32.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo32 = constructorMensajesNuevos32.create();
					dialogo32.show();
				}
				break;
			case 33:
				if (33 < numMensajes){
					AlertDialog dialogo33;
					AlertDialog.Builder constructorMensajesNuevos33 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos33.setCancelable(true);
					TextView texto33 = new TextView(ActividadMensajesNuevos.this);
					texto33.setText(mensajes[i][3]);
					texto33.setGravity(Gravity.CENTER);
					constructorMensajesNuevos33.setView(texto33);	
					constructorMensajesNuevos33.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos33.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo33 = constructorMensajesNuevos33.create();
					dialogo33.show();
				}
				break;
			case 34:
				if (34 < numMensajes){
					AlertDialog dialogo34;
					AlertDialog.Builder constructorMensajesNuevos34 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos34.setCancelable(true);
					TextView texto34 = new TextView(ActividadMensajesNuevos.this);
					texto34.setText(mensajes[i][3]);
					texto34.setGravity(Gravity.CENTER);
					constructorMensajesNuevos34.setView(texto34);	
					constructorMensajesNuevos34.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos34.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo34 = constructorMensajesNuevos34.create();
					dialogo34.show();
				}
				break;
			case 35:
				if (35 < numMensajes){
					AlertDialog dialogo35;
					AlertDialog.Builder constructorMensajesNuevos35 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos35.setCancelable(true);
					TextView texto35 = new TextView(ActividadMensajesNuevos.this);
					texto35.setText(mensajes[i][3]);
					texto35.setGravity(Gravity.CENTER);
					constructorMensajesNuevos35.setView(texto35);	
					constructorMensajesNuevos35.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos35.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo35 = constructorMensajesNuevos35.create();
					dialogo35.show();
				}
				break;
			case 36:
				if (36 < numMensajes){
					AlertDialog dialogo36;
					AlertDialog.Builder constructorMensajesNuevos36 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos36.setCancelable(true);
					TextView texto36 = new TextView(ActividadMensajesNuevos.this);
					texto36.setText(mensajes[i][3]);
					texto36.setGravity(Gravity.CENTER);
					constructorMensajesNuevos36.setView(texto36);	
					constructorMensajesNuevos36.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos36.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo36 = constructorMensajesNuevos36.create();
					dialogo36.show();
				}
				break;
			case 37:
				if (37 < numMensajes){
					AlertDialog dialogo37;
					AlertDialog.Builder constructorMensajesNuevos37 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos37.setCancelable(true);
					TextView texto37 = new TextView(ActividadMensajesNuevos.this);
					texto37.setText(mensajes[i][3]);
					texto37.setGravity(Gravity.CENTER);
					constructorMensajesNuevos37.setView(texto37);	
					constructorMensajesNuevos37.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos37.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo37 = constructorMensajesNuevos37.create();
					dialogo37.show();
				}
				break;
			case 38:
				if (38 < numMensajes){
					AlertDialog dialogo38;
					AlertDialog.Builder constructorMensajesNuevos38 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos38.setCancelable(true);
					TextView texto38 = new TextView(ActividadMensajesNuevos.this);
					texto38.setText(mensajes[i][3]);
					texto38.setGravity(Gravity.CENTER);
					constructorMensajesNuevos38.setView(texto38);	
					constructorMensajesNuevos38.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos38.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo38 = constructorMensajesNuevos38.create();
					dialogo38.show();
				}
				break;
			case 39:
				if (39 < numMensajes){
					AlertDialog dialogo39;
					AlertDialog.Builder constructorMensajesNuevos39 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos39.setCancelable(true);
					TextView texto39 = new TextView(ActividadMensajesNuevos.this);
					texto39.setText(mensajes[i][3]);
					texto39.setGravity(Gravity.CENTER);
					constructorMensajesNuevos39.setView(texto39);	
					constructorMensajesNuevos39.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos39.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo39 = constructorMensajesNuevos39.create();
					dialogo39.show();
				}
				break;
			case 40:
				if (40 < numMensajes){
					AlertDialog dialogo40;
					AlertDialog.Builder constructorMensajesNuevos40 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos40.setCancelable(true);
					TextView texto40 = new TextView(ActividadMensajesNuevos.this);
					texto40.setText(mensajes[i][3]);
					texto40.setGravity(Gravity.CENTER);
					constructorMensajesNuevos40.setView(texto40);	
					constructorMensajesNuevos40.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos40.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo40 = constructorMensajesNuevos40.create();
					dialogo40.show();
				}
				break;
			case 41:
				if (41 < numMensajes){
					AlertDialog dialogo41;
					AlertDialog.Builder constructorMensajesNuevos41 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos41.setCancelable(true);
					TextView texto41 = new TextView(ActividadMensajesNuevos.this);
					texto41.setText(mensajes[i][3]);
					texto41.setGravity(Gravity.CENTER);
					constructorMensajesNuevos41.setView(texto41);	
					constructorMensajesNuevos41.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos41.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo41 = constructorMensajesNuevos41.create();
					dialogo41.show();
				}
				break;
			case 42:
				if (42 < numMensajes){
					AlertDialog dialogo42;
					AlertDialog.Builder constructorMensajesNuevos42 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos42.setCancelable(true);
					TextView texto42 = new TextView(ActividadMensajesNuevos.this);
					texto42.setText(mensajes[i][3]);
					texto42.setGravity(Gravity.CENTER);
					constructorMensajesNuevos42.setView(texto42);	
					constructorMensajesNuevos42.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos42.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo42 = constructorMensajesNuevos42.create();
					dialogo42.show();
				}
				break;
			case 43:
				if (43 < numMensajes){
					AlertDialog dialogo43;
					AlertDialog.Builder constructorMensajesNuevos43 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos43.setCancelable(true);
					TextView texto43 = new TextView(ActividadMensajesNuevos.this);
					texto43.setText(mensajes[i][3]);
					texto43.setGravity(Gravity.CENTER);
					constructorMensajesNuevos43.setView(texto43);	
					constructorMensajesNuevos43.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos43.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo43 = constructorMensajesNuevos43.create();
					dialogo43.show();
				}
				break;
			case 44:
				if (44 < numMensajes){
					AlertDialog dialogo44;
					AlertDialog.Builder constructorMensajesNuevos44 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos44.setCancelable(true);
					TextView texto44 = new TextView(ActividadMensajesNuevos.this);
					texto44.setText(mensajes[i][3]);
					texto44.setGravity(Gravity.CENTER);
					constructorMensajesNuevos44.setView(texto44);	
					constructorMensajesNuevos44.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos44.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo44 = constructorMensajesNuevos44.create();
					dialogo44.show();
				}
				break;
			case 45:
				if (45 < numMensajes){
					AlertDialog dialogo45;
					AlertDialog.Builder constructorMensajesNuevos45 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos45.setCancelable(true);
					TextView texto45 = new TextView(ActividadMensajesNuevos.this);
					texto45.setText(mensajes[i][3]);
					texto45.setGravity(Gravity.CENTER);
					constructorMensajesNuevos45.setView(texto45);	
					constructorMensajesNuevos45.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos45.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo45 = constructorMensajesNuevos45.create();
					dialogo45.show();
				}
				break;
			case 46:
				if (46 < numMensajes){
					AlertDialog dialogo46;
					AlertDialog.Builder constructorMensajesNuevos46 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos46.setCancelable(true);
					TextView texto46 = new TextView(ActividadMensajesNuevos.this);
					texto46.setText(mensajes[i][3]);
					texto46.setGravity(Gravity.CENTER);
					constructorMensajesNuevos46.setView(texto46);	
					constructorMensajesNuevos46.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos46.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo46 = constructorMensajesNuevos46.create();
					dialogo46.show();
				}
				break;
			case 47:
				if (47 < numMensajes){
					AlertDialog dialogo47;
					AlertDialog.Builder constructorMensajesNuevos47 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos47.setCancelable(true);
					TextView texto47 = new TextView(ActividadMensajesNuevos.this);
					texto47.setText(mensajes[i][3]);
					texto47.setGravity(Gravity.CENTER);
					constructorMensajesNuevos47.setView(texto47);	
					constructorMensajesNuevos47.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos47.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo47 = constructorMensajesNuevos47.create();
					dialogo47.show();
				}
				break;
			case 48:
				if (48 < numMensajes){
					AlertDialog dialogo48;
					AlertDialog.Builder constructorMensajesNuevos48 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos48.setCancelable(true);
					TextView texto48 = new TextView(ActividadMensajesNuevos.this);
					texto48.setText(mensajes[i][3]);
					texto48.setGravity(Gravity.CENTER);
					constructorMensajesNuevos48.setView(texto48);	
					constructorMensajesNuevos48.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos48.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo48 = constructorMensajesNuevos48.create();
					dialogo48.show();
				}
				break;
			case 49:
				if (49 < numMensajes){
					AlertDialog dialogo49;
					AlertDialog.Builder constructorMensajesNuevos49 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos49.setCancelable(true);
					TextView texto49 = new TextView(ActividadMensajesNuevos.this);
					texto49.setText(mensajes[i][3]);
					texto49.setGravity(Gravity.CENTER);
					constructorMensajesNuevos49.setView(texto49);	
					constructorMensajesNuevos49.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos49.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo49 = constructorMensajesNuevos49.create();
					dialogo49.show();
				}
				break;
			case 50:
				if (50 < numMensajes){
					AlertDialog dialogo50;
					AlertDialog.Builder constructorMensajesNuevos50 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos50.setCancelable(true);
					TextView texto50 = new TextView(ActividadMensajesNuevos.this);
					texto50.setText(mensajes[i][3]);
					texto50.setGravity(Gravity.CENTER);
					constructorMensajesNuevos50.setView(texto50);	
					constructorMensajesNuevos50.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos50.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo50 = constructorMensajesNuevos50.create();
					dialogo50.show();
				}
				break;
			case 51:
				if (51 < numMensajes){
					AlertDialog dialogo51;
					AlertDialog.Builder constructorMensajesNuevos51 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos51.setCancelable(true);
					TextView texto51 = new TextView(ActividadMensajesNuevos.this);
					texto51.setText(mensajes[i][3]);
					texto51.setGravity(Gravity.CENTER);
					constructorMensajesNuevos51.setView(texto51);	
					constructorMensajesNuevos51.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos51.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo51 = constructorMensajesNuevos51.create();
					dialogo51.show();
				}
				break;
			case 52:
				if (52 < numMensajes){
					AlertDialog dialogo52;
					AlertDialog.Builder constructorMensajesNuevos52 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos52.setCancelable(true);
					TextView texto52 = new TextView(ActividadMensajesNuevos.this);
					texto52.setText(mensajes[i][3]);
					texto52.setGravity(Gravity.CENTER);
					constructorMensajesNuevos52.setView(texto52);	
					constructorMensajesNuevos52.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos52.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo52 = constructorMensajesNuevos52.create();
					dialogo52.show();
				}
				break;
			case 53:
				if (53 < numMensajes){
					AlertDialog dialogo53;
					AlertDialog.Builder constructorMensajesNuevos53 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos53.setCancelable(true);
					TextView texto53 = new TextView(ActividadMensajesNuevos.this);
					texto53.setText(mensajes[i][3]);
					texto53.setGravity(Gravity.CENTER);
					constructorMensajesNuevos53.setView(texto53);	
					constructorMensajesNuevos53.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos53.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo53 = constructorMensajesNuevos53.create();
					dialogo53.show();
				}
				break;
			case 54:
				if (54 < numMensajes){
					AlertDialog dialogo54;
					AlertDialog.Builder constructorMensajesNuevos54 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos54.setCancelable(true);
					TextView texto54 = new TextView(ActividadMensajesNuevos.this);
					texto54.setText(mensajes[i][3]);
					texto54.setGravity(Gravity.CENTER);
					constructorMensajesNuevos54.setView(texto54);	
					constructorMensajesNuevos54.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos54.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo54 = constructorMensajesNuevos54.create();
					dialogo54.show();
				}
				break;
			case 55:
				if (55 < numMensajes){
					AlertDialog dialogo55;
					AlertDialog.Builder constructorMensajesNuevos55 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos55.setCancelable(true);
					TextView texto55 = new TextView(ActividadMensajesNuevos.this);
					texto55.setText(mensajes[i][3]);
					texto55.setGravity(Gravity.CENTER);
					constructorMensajesNuevos55.setView(texto55);	
					constructorMensajesNuevos55.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos55.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo55 = constructorMensajesNuevos55.create();
					dialogo55.show();
				}
				break;
			case 56:
				if (56 < numMensajes){
					AlertDialog dialogo56;
					AlertDialog.Builder constructorMensajesNuevos56 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos56.setCancelable(true);
					TextView texto56 = new TextView(ActividadMensajesNuevos.this);
					texto56.setText(mensajes[i][3]);
					texto56.setGravity(Gravity.CENTER);
					constructorMensajesNuevos56.setView(texto56);	
					constructorMensajesNuevos56.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos56.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo56 = constructorMensajesNuevos56.create();
					dialogo56.show();
				}
				break;
			case 57:
				if (57 < numMensajes){
					AlertDialog dialogo57;
					AlertDialog.Builder constructorMensajesNuevos57 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos57.setCancelable(true);
					TextView texto57 = new TextView(ActividadMensajesNuevos.this);
					texto57.setText(mensajes[i][3]);
					texto57.setGravity(Gravity.CENTER);
					constructorMensajesNuevos57.setView(texto57);	
					constructorMensajesNuevos57.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos57.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo57 = constructorMensajesNuevos57.create();
					dialogo57.show();
				}
				break;
			case 58:
				if (58 < numMensajes){
					AlertDialog dialogo58;
					AlertDialog.Builder constructorMensajesNuevos58 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos58.setCancelable(true);
					TextView texto58 = new TextView(ActividadMensajesNuevos.this);
					texto58.setText(mensajes[i][3]);
					texto58.setGravity(Gravity.CENTER);
					constructorMensajesNuevos58.setView(texto58);	
					constructorMensajesNuevos58.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos58.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo58 = constructorMensajesNuevos58.create();
					dialogo58.show();
				}
				break;
			case 59:
				if (59 < numMensajes){
					AlertDialog dialogo59;
					AlertDialog.Builder constructorMensajesNuevos59 = new AlertDialog.Builder(ActividadMensajesNuevos.this);
					constructorMensajesNuevos59.setCancelable(true);
					TextView texto59 = new TextView(ActividadMensajesNuevos.this);
					texto59.setText(mensajes[i][3]);
					texto59.setGravity(Gravity.CENTER);
					constructorMensajesNuevos59.setView(texto59);	
					constructorMensajesNuevos59.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesNuevos59.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo59 = constructorMensajesNuevos59.create();
					dialogo59.show();
				}
				break;
			
				
		}
}
	
	
	
	private String [][] mensajesNuevos(String usuarioReceptor){
		
		final String URLconsultarPetic = "http://aperezba.dyndns.org:9080/webService/RecivirSmsAction.action?parametroJSON=" + usuarioReceptor;
		
		InputStream is = null;
		String result = "";
	
		Log.i("CadenaConexión", "creamos las variables y la url de conexión" + URLconsultarPetic);
	
		try{
		    HttpClient httpclient = new DefaultHttpClient();
		    HttpPost httppost = new HttpPost(URLconsultarPetic);
		    HttpResponse response = httpclient.execute(httppost);
		    HttpEntity entity = response.getEntity();
		    is = entity.getContent();
		
		}catch(Exception e){
		    Log.e("log_tag", "Error en la conexión http: "+e.toString());
		}
		
		//convert response to string
		try{
		    BufferedReader reader = new BufferedReader(new InputStreamReader(is,"iso-8859-1"),8);
		    StringBuilder sb = new StringBuilder();
		    String line = null;
		    while ((line = reader.readLine()) != null) {
		            sb.append(line + "\n");
		    }
		    is.close();
		    result=sb.toString();
		    
		}catch(Exception e){
		    Log.e("log_tag", "Error converting result "+e);
		}
	   	Log.i("CadenaConexión", "el resultado es " + result);
		
		
		String ret = null;
		try{
			
			JSONObject json = (JSONObject) new JSONTokener(result).nextValue();
			Log.i("infoJSONEsAmigo", "Objeto JSON creado");
	    	JSONArray nameArray = json.names();
	    	Log.i("infoJSONEsAmigo", "obtenemos nombres");
	    	JSONArray valArray = json.toJSONArray(nameArray);
	    	Log.i("infoJSONEsAmigo", "lo pasamos a array");
	    	
    		ret = new String (valArray.getString(0));
    		Log.i("infoJSONEsAmigo", "Lo convertimos a String");
	    		
		}catch(JSONException e){
	            Log.e("infoJSONEsAmigo", "Error parsing data: "+e.toString());
	            //Toast.makeText(cntxt, "Error parsing data "+e.toString(), Toast.LENGTH_LONG).show();
		}
		catch (NullPointerException exc){
			Log.i("Excepción", "Error" + exc);
		}
       
		
		String mensaNuevos [][] = new String[256][4];
		String aux[] = new String[256];
		int inicio=3;
		int indice=0;
		//Colocamos los usuarios en un array para sacarlos más cómodamente
		int i = 0;
		Log.i("Mensajes Nuevos", ret);
     	Log.i("Mensajes Nuevos", "tamaño cadena: " + ret.length());
     	indice = ret.indexOf(",");
     	Log.i("Mensajes Nuevos", "índice inicial: " + indice);
     	
     	
     	
     	//Comprobamos si hay alguna solicitud de amigo.
     	if(ret.length()>2){
     		
	     	if (indice == -1 && ret.equals("No hay sms sin leer")){
	     		Log.i("TratamientoInicialyFinalSinMsj", ret);
	         	Log.i("TratamientoInicialyFinalSinMsg", "tamaño cadena: " + ret.length());
	         	
	     			mensaNuevos[0][0]="-1";
	     			Log.i("TratamientoInicialyFinalSinMsj", mensaNuevos[0][0]);
	     			mensaNuevos[0][1] = ret;
	     			Log.i("TratamientoInicialyFinalSinMsj", mensaNuevos[0][1]);
	     			mensaNuevos[0][2] = ret;
	     			Log.i("TratamientoInicialyFinalSinMsj", mensaNuevos[0][2]);
	     			mensaNuevos[0][3] = ret;
	     			
	     			               
	     		         	
	     			Log.i("TratamientoInicialyFinal", "idMensaje: " + mensaNuevos[0][0] + " NombreEnviador: " + mensaNuevos[0][1] + " nombreReceptor" + mensaNuevos[0][2] + " mensaje: " + mensaNuevos[0][3]);
	         	
	         	i++;
	         	Log.i("logRestanteCadenaSinMsj", "contador=" + i + " resto de la cadena " + ret);
		         
	     	}else if (indice == -1 && !ret.equals("No hay sms sin leer")){
	     		Log.i("TratamientoInicialyFinalConMsj", ret);
	     		aux[i] = ret.substring(ret.indexOf("[")+1,ret.length()-1);
	     		Log.i("TratamientoInicialyFinalConMsj", aux[i]);
	     		mensaNuevos[i] = aux[i].split("xyx");
	     		Log.i("TratamientoInicialyFinal", "idMensaje: " + mensaNuevos[0][0] + " NombreEnviador: " + mensaNuevos[0][1] + " nombreReceptor" + mensaNuevos[0][2] + " mensaje: " + mensaNuevos[0][3]);
	     		i++;
	     	
	     	}else if (indice!=0){	         		
	     	
	         	aux[i] = ret.substring(ret.indexOf("[")+1, ret.indexOf(","));
	         	Log.i("Mensajes Nuevos", aux[i]);
	         	inicio = inicio + aux[i].length();
	         	Log.i("Mensajes Nuevos", "inicio: " + inicio);
	         	ret=ret.substring(inicio,ret.length()-1);
	         	Log.i("log", "corte de cadena bien hecho: " + ret);
	         	mensaNuevos[i] = aux[i].split("xyx");
	         	Log.i("Tratamiento", "idMensaje: " + mensaNuevos[i][0] + " NombreEnviador: " + mensaNuevos[i][1] + " nombreReceptor" + mensaNuevos[i][2] + " mensaje: " + mensaNuevos[i][3]);
	         	
	         	indice = ret.indexOf(",");
	         	Log.i("log", ret);
	         	i++;
	         	
	            while (indice !=-1){
	            	
	            	
	            
	            	Log.i("Mensajes Nuevos", ret);
	            	Log.i("Mensajes Nuevos", "tamaño cadena: " + ret.length());
	            	aux[i] = ret.substring(ret.indexOf("\"")+1, ret.indexOf(","));
	            	Log.i("Mensajes Nuevos", aux[i]);
	            	inicio = aux[i].length();
	            	Log.i("Mensajes Nuevos","inicio: "+inicio);
	            	ret=ret.substring(inicio+1,ret.length());
	            	
	            	mensaNuevos[i] = aux[i].split("xyx");
	            	Log.i("Tratamiento", "idMensaje: " + mensaNuevos[i][0] + " NombreEnviador: " + mensaNuevos[i][1] + " nombreReceptor" + mensaNuevos[i][2] + " mensaje: " + mensaNuevos[i][3]);
	             	
	            	Log.i("Mensajes Nuevos", ret);
	            	indice = ret.indexOf(",");
	            	i++;
	            }
	            
	            Log.i("TratamientoFinal", ret);
	         	Log.i("TratamientoFinal", "tamaño cadena: " + ret.length());
	         	aux[i] = ret.substring(ret.indexOf("\"")+1, ret.indexOf("]"));
	         	Log.i("TratamientoFinal", aux[i]);
	         	inicio = aux[i].length();
	         	Log.i("TratamientoFinal","inicio: "+inicio);
	         	ret=ret.substring(inicio+1,ret.length());
	         	mensaNuevos[i] = aux[i].split("xyx");
	         	
	         	Log.i("Tratamiento", "idMensaje: " + mensaNuevos[i][0] + " NombreEnviador: " + mensaNuevos[i][1] + " nombreReceptor" + mensaNuevos[i][2] + " mensaje: " + mensaNuevos[i][3]);
	         	i++;
	         	Log.i("Mensajes Nuevos", "contador=" + i + " resto de la cadena " + ret);
	     	}

     	} 	
     	numMensajes = i;
     	return mensaNuevos;
	}
	public boolean onKeyDown(int keyCode, KeyEvent event){
		if (keyCode == KeyEvent.KEYCODE_BACK){
			Log.i("PulsandoPatrásNuevos", "Eh!! has pulsao patrás!!");
			finish();
			return true;
		}
		Log.i("PulsandoPatrásNuevos", "Eh?? has pulsao patrás??");
		return super.onKeyDown(keyCode, event);
	}
	public void onDestroy() {
		Log.i("Destroyeeeeeer", "vamos a salir de Mensajes Nuevos");
		super.onDestroy();
	}
	
	

}